Karim BELABAS on Fri, 24 Jul 1998 14:28:01 +0200 (MET DST)

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: I cannot make gp-dyn 2.0.10beta on FreeBSD

Kimitoshi Kono writes:
> I cannot make gp-dyn ver. 2.0.10beta with the default configuration
> on FreeBSD.  Typing gp produce the error message,
> ld.so failed: Undefined symbol "_under_emacs" in gp:gp
> In addition gp-sta bench makes floating point exception.
> The situation looks almost the same since 2.0.7.  Is this problem known
> already?

It isn't.

Which version of FreeBSD are you using? Iwao Kimura (iwao@math.tsukuba.ac.jp)
sent a message to pari-dev (mesg 157, archived on the WWW server as
http://pari.home.ml.org/lists/199807/13aaa) implying he got
pari-2.0.10.beta to work without problem (after a cosmetic patch)
on FreeBSD 2.2.5. Maybe you could contact him directly?

1) It looks like gp-dyn is loading the wrong dynamic library, try to unset
LD_LIBRARY_PATH before running directly gp-dyn (in the o.freebsd-ix86
directory). In case this works, gp-dyn will probably stumble on the same 
floating point exception as gp-sta, though.

2) Where does the floating point exception occur? (Could you send me the
file o.freebsd-ix86/out.<name of the bench where [BUG] occurs>.sta.diff?)

Hope this helps,

Karim Belabas                    email: Karim.Belabas@math.u-psud.fr
Dep. de Mathematiques, Bat. 425
Universite Paris-Sud             Tel: (00 33) 1 69 15 57 48
F-91405 Orsay (France)           Fax: (00 33) 1 69 15 60 19
PARI/GP Home Page: http://pari.home.ml.org